Bug 1410322 - [SR-IOV] - Labels list in the "Edit Virtual Functions" dialog display and allow to choose label that already been specified
Summary: [SR-IOV] - Labels list in the "Edit Virtual Functions" dialog display and all...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.1.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ovirt-4.1.1
: ---
Assignee: Leon Goldberg
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 06:36 UTC by Michael Burman
Modified: 2017-04-21 09:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:32:12 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
record (2.87 MB, application/x-gzip)
2017-01-05 06:36 UTC, Michael Burman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71804 0 master MERGED webadmin: edit vfs: dynamically maintain suggested labels 2017-02-14 10:50:30 UTC
oVirt gerrit 72258 0 ovirt-engine-4.1 MERGED webadmin: edit vfs: dynamically maintain suggested labels 2017-02-14 14:41:27 UTC

Description Michael Burman 2017-01-05 06:36:57 UTC
Created attachment 1237513 [details]
record

Description of problem:
[SR-IOV] - Labels list in the "Edit Virtual Functions" dialog display and allow to choose labels that already been specified.

We displaying and allowing to choose the same label entry over and over altough it already specified in the first entry. But when we trying to approve we can't and all the duplicated label entries colored in red and tooltip saying "this label has already been specified in another entry."

We shouldn't display a label in the labels list if it's already been specified once. 

Version-Release number of selected component (if applicable):
4.1.0-0.4.master.20170104122005.git51b1bcf.el7.centos

How reproducible:
100

Steps to Reproduce:
1. Edit Virtual Functions dialog and specify network via label
2. Add this label few more times in the same dialog
3. Try to approve operation

Actual results:
Failed. "this label has already been specified in another entry."

Expected results:
We shouldn't display a label in the labels list if it's already been specified once. 

Additional info:
Attaching record.

Comment 1 Michael Burman 2017-02-19 10:17:18 UTC
Verified on - 4.1.1.2-0.1.el7


Note You need to log in before you can comment on or make changes to this bug.